Subject: Re: [PATCH net-next] net: vertexcom: default to disabled on kbuild

From: Leon Romanovsky <[email-masked]>
Date: Tue, 4 Jan 2022 10:57:29 +0200

On Mon, Jan 03, 2022 at 08:43:21AM -0800, Jakub Kicinski wrote:
> On Sun,  2 Jan 2022 14:11:26 -0800 Saeed Mahameed wrote:
> > Sorry for being rude but new vendors/drivers are supposed to be disabled
> > by default, otherwise we will have to manually keep track of all vendors
> > we are not interested in building.
> 
> Vendors default to y, drivers default to n. Vendors don't build
> anything, hence the somewhat unusual convention. Are you saying
> you want to change all the Kconfigs... including Mellanox?

I would love to see such patch. It will help me to manage build configs
to their minimum without worrying to press "N" every time I switch from
builds of net-next to any other tree without newly introduced vendor.

https://lore.kernel.org/netdev/20200930095526.GM3094@unreal/
https://lore.kernel.org/netdev/20200930104459.GO3094@unreal/

And yes, including Mellanox.

Thanks